Package it.ernytech.tdlib

## Class TdApi.BasicGroupFullInfo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.BasicGroupFullInfo

Enclosing class:
  TdApi

    public static class TdApi.BasicGroupFullInfo
    extends TdApi.Object

Contains full information about a basic group.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `creatorUserId` User identifier of the creator of the group; 0 if unknown.
`java.lang.String` `inviteLink` Invite link for this group; available only for the group creator and only after it has been generated at least once.
`TdApi.ChatMember[]` `members` Group members.

### Constructor Summary

Constructors
`BasicGroupFullInfo()` Default constructor.
`BasicGroupFullInfo​(int creatorUserId, TdApi.ChatMember[] members, java.lang.String inviteLink)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### creatorUserId

    public int creatorUserId

User identifier of the creator of the group; 0 if unknown.

#### members

    public TdApi.ChatMember[] members

Group members.

#### inviteLink

    public java.lang.String inviteLink

Invite link for this group; available only for the group creator and only after it has been generated at least once.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### BasicGroupFullInfo

    public BasicGroupFullInfo()

Default constructor.

#### BasicGroupFullInfo

    public BasicGroupFullInfo​(int creatorUserId,
                              TdApi.ChatMember[] members,
                              java.lang.String inviteLink)

Constructor for initialization of all fields.

Parameters:
  `creatorUserId` - User identifier of the creator of the group; 0 if unknown.
  `members` - Group members.
  `inviteLink` - Invite link for this group; available only for the group creator and only after it has been generated at least once.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR